Subject: Hay for Dallas/FtWorth area

From: [email-masked] (Galikins)
Date: Fri, 07 Jun 1996 17:48:44 GMT

All of Texas seems to be hard hit by the drought, but we horse people
as well as cattle people in North Texas need hay badly...everyday I
watch several semis full of hay go south through here.  I know several
people in the horse business who need good quality hay, the little
rain we have had the past 2 weeks helps but, not enough.

If you have horse quality hay please contact me and I will put you in
touch with people who need help.  Thank you. Carol